Application: gvSIG desktop - gvSIG feature requests #4481
Complementos que no deberian ir en la instalacion base
06/12/2017 10:49 AM - Alvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Usability

Target version: 2.4.0-2840 (rev. org.gvsig.deskiop-2.0.208)

gvSIG version: 24.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

Complementos que no deben ir en la distribucion base:

- Catalog 1.0.0-4: es una version antigua, esta la 1.0.0-5.

- JCRS EPS: version 6, 8.4, 8.5, 8.6 y 8.7: dejaria solo la ultima y que va instalada por defecto (8.8).

- Publish plugin: creo que esto esta casi en deshuso, por lo que con que esté en el repositorio web es suficiente.

- Symbols: todos los paquetes de simbolos adicionales al basic los pondria disponibles por el repositorio web, pero no en la
instalacion base/estandar. De este modo, ademas, se aligeraria bastante el fichero de instalacién ya que ya va habiendo un buen
numero de paquetes de simbolos.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 4553: typical installer ... Closed 07/21/2017
Related to Application: gvSIG desktop - gvSIG bugs # 4677: Plugins que faltan Closed 09/25/2017
Related to Application: gvSIG desktop - gvSIG bugs # 4599: Aparece dos veces ... Closed 08/07/2017
Related to Application: gvSIG desktop - gvSIG bugs # 4707: Windows installers... Closed 10/14/2017
History

#1 - 07/21/2017 11:54 AM - Alvaro Anguix
- Related to gvSIG bugs #4553: typical installer should not ask about unofficial versions added

#2 - 09/25/2017 07:07 AM - Alvaro Anguix
- Related to gvSIG bugs #4677: Plugins que faltan added

#3 - 09/25/2017 07:08 AM - Alvaro Anguix
- Related to gvSIG bugs #4599: Aparece dos veces el addon del Catalog en el admistradr de complementos added

#4 - 09/27/2017 06:48 PM - Alvaro Anguix
Anado que de los plugins que se han anadido a partir del build 2838 tenemos:
En la distro base e instalado por defecto deberia ir:
- 3D Animation
A instalar desde URL:
- GML Catastro
- Linear Reference System
- R
- Rossmo's algorith
- Symbols: INSPIRE Themes
- Tools: Autodeteccion de alturas

- Tools: Buscador de Catastro (Spain)
#5 - 09/27/2017 06:55 PM - Joaquin del Cerro Murciano
- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2841-RC3 (rev. org.gvsig.desktop-2.0.209)

#6 - 10/14/2017 06:37 PM - Joaquin del Cerro Murciano

He dejado el fichero de configuracion donde se indique que se debe incluir y que no como sigue:

#

# Nota:

# El valor a especificar en "--exclude", "--excludepkg" o "--excludepki"
# es el codigo del paquete (tal como aparece en el package.info) o el
# nombre del fichero sin path ni extension.

#

# El valor a usar en "--include" es el path al fichero dentro del pool.

#

main=--search_versions 2.4.0

#

# Paquetes de simbolos de versiones anteriores a incluirse en esta

#

mks=--include symbols.Commerce/gvSIG-desktop-2.1.0-symbols.Commerce-1.0.0-0-final-all-all-j1_5.gvspki
mks=--include symbols.aiga/gvSIG-desktop-2.1.0-symbols.aiga-1.0.0-1-final-all-all-j1_5.gvspki

mks=--include symbols.collectivemapping/gvSIG-desktop-2.1.0-symbols.collectivemapping-1.0.0-1-final-all-all-j1_5.gvspki
mks=--include symbols.colors/gvSIG-desktop-2.1.0-symbols.colors-1.0.0-1-final-all-all-j1_5.gvspki

mks=--include symbols.crime/gvSIG-desktop-2.1.0-symbols.crime-1.0.0-2-final-all-all-j1_5.gvspki

mks=--include symbols.emergency_ems/gvSIG-desktop-2.1.0-symbols.emergency_ems-1.0.0-2-final-all-all-j1_5.gvspki
mks=--include symbols.forestry/gvSIG-desktop-2.1.0-symbols.forestry-1.0.0-2-final-all-all-j1_6.gvspki
mks=--include symbols.geology/gvSIG-desktop-2.1.0-symbols.geology-1.0.0-1-final-all-all-j1_5.gvspki
mks=--include symbols.google/gvSIG-desktop-2.1.0-symbols.google-0.0.1-2-final-all-all-j1_6.gvspki

mks=--include symbols.japanese/gvSIG-desktop-2.1.0-symbols.japanese-0.0.1-2-final-all-all-j1_5.gvspki
mks=--include symbols.militaryapp6/gvSIG-desktop-2.1.0-symbols.militaryapp6-0.0.1-1-final-all-all-j1_5.gvspki
mks=--include symbols.navigational/gvSIG-desktop-2.1.0-symbols.navigational-1.0.0-1-final-all-all-j1_6.gvspki
mks=--include symbols.numbers/gvSIG-desktop-2.1.0-symbols.numbers-1.0.0-2-final-all-all-j1_6.gvspki
mks=--include symbols.ocha/gvSIG-desktop-2.1.0-symbols.ocha-1.0.0-2-final-all-all-j1_5.gvspki

mks=--include symbols.osm/gvSIG-desktop-2.1.0-symbols.osm-0.0.1-2-final-all-all-j1_6.gvspki

mks=--include symbols.poicities/gvSIG-desktop-2.1.0-symbols.poicities-1.0.0-1-final-all-all-j1_5.gvspki
mks=--include symbols.weather/gvSIG-desktop-2.1.0-symbols.weather-1.0.0-1-final-all-all-j1_5.gvspki
mks=--include symbols.emojis/gvSIG-desktop-2.3.1-symbols.emojis-1.0.0-1-final-all-all-j1_5.gvspki

mks=--include symbols.is07010/gvSIG-desktop-2.3.1-symbols.is07010-1.0.0-1-final-all-all-j1_5.gvspki
mks=--include symbols.Inspirethemes/gvSIG-desktop-2.3.0-symbols.Inspirethemes-1.0.0-2-final-all-all-j1_5.gvspki

#

# Paquetes de BBDD de EPSG de versiones anteriores a incluirse en esta

#

mks=--include EPSG_v6/gvSIG-desktop-2.1.0-EPSG_v6-1.0.0-1-final-all-all-j1_5.gvspki
mks=--include EPSG_v8_4/gvSIG-desktop-2.1.0-EPSG_v8_4-1.0.0-1-testing-all-all-j1_5.gvspki
mks=--include EPSG_v8_5/gvSIG-desktop-2.1.0-EPSG_v8_5-1.0.0-1-testing-all-all-j1_5.gvspki
mks=--include EPSG_v8_6/gvSIG-desktop-2.1.0-EPSG_v8_6-1.0.0-1-testing-all-all-j1_5.gvspki
mks=--include EPSG_v8_7/gvSIG-desktop-2.1.0-EPSG_v8_7-1.0.0-1-testing-all-all-j1_5.gvspki
mks=--include EPSG_v8_8/gvSIG-desktop-2.3.0-EPSG_v8_8-1.0.0-2-testing-all-all-j1_5.gvspki

#

# Paquetes de scripts de versiones anteriores a incluirse en esta
#

mks=--include GMLCatastro/gvSIG-desktop-2.3.0-GMLCatastro-1.0.0-4-testing-all-all-j1_7.gvspki
mks=--include RossmosFormula/gvSIG-desktop-2.3.1-RossmosFormula-1.0.0-1-testing-all-all-j1_7.gvspki
mks=--include AutodeteccionDeAlturas/gvSIG-desktop-2.3.0-AutodeteccionDeAlturas-1.0.0-4-testing-all-all-j1_7.gvspki

#

# Paquetes de plugins de versiones anteriores a incluirse en esta

#

mks=--include

org.gvsig.animation3d.app.mainplugin/gvSIG-desktop-2.3.0-org.gvsig.animation3d.app.mainplugin-1.0.0-2-testing-all-all-j1_7.gvspkg

#

# Paquetes que no deben de ir en la distribucion de gvSIG

#

mks=--excludepkg GMLCatastro
mks=--excludepkg RossmosFormula
mks=--excludepkg AutodeteccionDeAlturas
mks=--excludepkg Catalog
mks=--excludepkg GeocodingPlugin
mks=--excludepkg actionConfigurator
mks=--excludepkg iconThemeConfigurator

mks=--excludepkg org.gvsig.publish.app.mainplugin
mks=--excludepkg org.gvsig.networkanalysis.app.mainplugin

mks=--excludepkg org.gvsig.busquedacatastral.app.mainplugin

mks=--excludepkg org.gvsig.r.app.mainplugin
mks=--excludepkg org.gvsig.Irs.app.mainplugin

mks=--excludepkg org.gvsig.sqlite.app.mainplugin
mks=--excludepkg org.gvsig.downloader.app.mainplugin
mks=--excludepkg org.gvsig.customize.app.mainplugin
mks=--excludepkg org.gvsig.mapsheets.app.mainplugin
mks=--excludepkg org.gvsig.timesupport.app.animation
mks=--excludepkg org.gvsig.timesupport.app.viewfilter

mks=--excludepkg EPSG_v6
mks=--excludepkg EPSG_v8_4
mks=--excludepkg EPSG_v8_5
mks=--excludepkg EPSG_v8_6
mks=--excludepkg EPSG_v8_7
mks=--excludepkg EPSG_v8_8
mks=--excludepkg symbols.Commerce
mks=--excludepkg symbols.aiga
mks=--excludepkg symbols.collectivemapping
mks=--excludepkg symbols.colors
mks=--excludepkg symbols.crime
mks=--excludepkg symbols.emergency_ems
mks=--excludepkg symbols.forestry
mks=--excludepkg symbols.geology
mks=--excludepkg symbols.google
mks=--excludepkg symbols.japanese
mks=--excludepkg symbols.militaryapp6
mks=--excludepkg symbols.navigational
mks=--excludepkg symbols.numbers
mks=--excludepkg symbols.ocha
mks=--excludepkg symbols.osm

05/17/2024

3/4



mks=--excludepkg symbols.poicities
mks=--excludepkg symbols.weather
mks=--excludepkg symbols.emojis
mks=--excludepkg symbols.is07010
mks=--excludepkg symbols.Inspirethemes
mks=--excludepkg symbols.plancv

#
# Paquetes dafados que no deberian incluirse en ningun lado
#

mks=--exclude catalog
mks=--exclude onlineHelp

#7 - 10/14/2017 07:20 PM - Joaquin del Cerro Murciano
He anadido que se instalen por defecto las leyendas:

- org.gvsig.legend.aggregate.app.mainplugin

- org.gvsig.legend.heatmap.app.mainplugin
#8 - 10/14/2017 07:29 PM - Joaquin del Cerro Murciano

- Target version changed from 2.4.0-2841-RC3 (rev. org.gvsig.desktop-2.0.209) to 2.4.0-2840 (rev. org.gvsig.desktop-2.0.208)

#9 - 10/14/2017 07:34 PM - Joaquin del Cerro Murciano
- Related to gvSIG bugs #4707: Windows installers of build 2840 give problems added

#10 - 10/14/2017 07:52 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#11 - 10/16/2017 10:37 AM - Alvaro Anguix

- Status changed from Fixed to Closed
